(function ($) {
	'use strict';
	$(document).ready(function () {
		var str = window.location.href;
		var pid = $('#vpc-add-to-cart').attr('data-pid');
		var rs = str.split(pid + '/');

		if (rs[1]) {
			vpc.enable_rules = false;
			$(".vpc-options input").on('click', function () {
				wp.hooks.addAction('vpc.option_change', 'vpc-ssa', function () {
					vpc.enable_rules = true;
				});
			});
		}

		$(document).on("click", "#vpc-share", function (e) {
			var process = wp.hooks.applyFilters('vpc_ssa.social_share_process', true);
			if (process) {
				$('#vpc-share').addClass('disabledClick');
				var prod_id = $('#vpc-add-to-cart').attr('data-pid');
				var recap = $('#vpc-container').find(':input').serializeJSON();
				nb_images = 0;
				var custom_vars = {};
				if (vpc.views) {
					var multiview = true;
					var imgs = get_finish_image_by_view(vpc.vpc_selected_items_selector);
				} else {
					var multiview = false;
					var imgs = get_finish_image(vpc.vpc_selected_items_selector);
				}

				merge_all_images_of_preview(imgs).then(function (status) {
					if (status === 'completed') {
						setTimeout(function () {
							var canvas_data = {};
							if (typeof window.__canvases !== 'undefined' && window.__canvases.length !== 0) {
								add_custom_texts_and_uploads_datas_on_canvas();
								var canvases = window.__canvases;
								canvas_data = get_canvas_data(canvases);
								recap['canvas_data'] = JSON.stringify(canvas_data);
							}
							custom_vars['preview_imgs_merged'] = JSON.stringify(generate_canvas_images());


							var data_object = {
								action: "vpc_ssa_save_canvas_img",
								multiview: multiview,
								recap: recap,
								custom_vars: custom_vars,
								imgs_by_views: imgs,
								vpc_ssa_save_canvas_img: "vpc_ssa_save_canvas_img_nonce"
							};
							$.ajax({
								type: 'POST',
								url: ajax_object.ajax_url,
								data: data_object,
								success: function (result) {
									vpc_ssa_get_previews(result, prod_id, recap);
								}
							});
						}, 200 * nb_images);
					}
				});
			} else {
				wp.hooks.doAction('vpc_ssa.social_share_process', $(this));
			}
		});



		function load_social_networks(data) {
			if (typeof vpc != 'undefined') {
				var content = "<div class='vpc-share-btn-container'>";
				if (vpc.facebook_active == 1 && data.facebook_share_url) {
					var facebook_url = 'http://www.facebook.com/sharer.php?u=' + data.facebook_share_url;
					content += " <a id='vpc-facebook-share' class='option share-item share-facebook icon-facebook' target='_blank' href='" + facebook_url + "'></a> ";
				}
				if (vpc.twitter_active == 1 && data.twitter_share_url) {
					var twitter_url = 'http://twitter.com/intent/tweet?url=' + data.twitter_share_url;
					content += " <a id='vpc-twitter-share' class='option share-item share-twitter icon-twitter' target='_blank' href='" + twitter_url + "'></a> ";
				}
				if (vpc.pinterest_active == 1 && data.pinterest_share_url) {
					var pinterest_url = 'http://www.pinterest.com/pin/create/button/?url=' + data.pinterest_share_url + '&media=' + data.pinterest_img_url +
						'&description=' + vpc.share_desc;
					content += " <a id='vpc-pinterest-share' class='option share-item share-pinterest icon-pinterest' target='_blank' href='" + pinterest_url + "'></a> ";
				}
				if (vpc.mail_active == 1 && data.email_share_url) {
					var paragraphe2 = "\n \n Here is mine : ";
					var mail = "mailto:?body=" + vpc.share_desc + " : " + data.email_share_url + "." + encodeURIComponent(paragraphe2) + data.img_url + "&subject=Build your own";

					content += " <a id='vpc-mail-share' class='option share-item share-mail icon-mail' title='Share by mail' href='" + mail + "'></a>";
				}
				return content;
			}
		}

		window.vpc_ssa_get_previews = function (result, prod_id, recap) {
			$('#vpc-share').removeClass('disabledClick');
			$('#vpc-share').qtip({
				content: {
					text: 'Loading...', // The text to use whilst the AJAX request is loading
					ajax: {
						url: ajax_object.ajax_url, // URL to the local file
						type: 'POST', // POST or GET
						dataType: 'json',
						loading: true,
						data: {
							action: "get_configuration_img",
							prod_id: prod_id,
							recap: recap,
							preview_saved: result,
							get_configuration_img_nonce: "get_configuration_img_nonce"
						}, // Data to pass along with your request
						success: function (data, status) {
							var content = load_social_networks(data);
							this.set('content.text', content);
						}
					}
				},
				style: {
					classes: 'qtip-light',
					tip: {
						border: 1,
						width: 30,
						height: 20
					}
				},
				position: {
					my: 'bottom center', // Position my top left...bottom center
					at: 'top center', // at the bottom right of...top center
					target: $('.vpc-action-buttons .btn_share'), // my target
					adjust: {
						y: 0
					}
				},
				show: {
					event: 'click',
					ready: true,
					solo: true
				},
				hide: 'unfocus'
			});
		}

	});	
	})(jQuery);
