<?php
/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://www.orionorigin.com/product/social-share-add-on/?utm_source=Installed+pro+plugin&utm_medium=Source+code&utm_campaign=VPC-SSA
 * @since             1.0.0
 * @package           Vpc_Ssa
 *
 * @wordpress-plugin
 * Plugin Name:       Visual Products Configurator Social Share Addon
 * Plugin URI:        https://www.orionorigin.com/product/social-share-add-on/?utm_source=Installed+pro+plugin&utm_medium=Source+code&utm_campaign=VPC-SSA
 * Description:       Allows your customers to share their configured products to facebook; twitter, pinterest and by mail
 * Version:           2.0.1
 * Author:            Orion
 * Author URI:        https://www.orionorigin.com/?utm_source=Installed+pro+plugin&utm_medium=Author+URI&utm_campaign=VPC-SSA
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       vpc-ssa
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
define( 'VPC_SSA_VERSION', '2.0.1' );
define( 'VPC_SSA_URL', plugins_url( '/', __FILE__ ) );
define( 'VPC_SSA_DIR', dirname( __FILE__ ) );
define( 'VPC_SSA_MAIN_FILE', 'visual-product-configurator-social-share-addon/vpc-ssa.php' );
define( 'VPC_SSA_NAME', 'Visual Product Configurator Social Share Add-on' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-vpc-ssa-activator.php
 */
function activate_vpc_ssa() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-vpc-ssa-activator.php';
	Vpc_Ssa_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-vpc-ssa-deactivator.php
 */
function deactivate_vpc_ssa() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-vpc-ssa-deactivator.php';
	Vpc_Ssa_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_vpc_ssa' );
register_deactivation_hook( __FILE__, 'deactivate_vpc_ssa' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-vpc-ssa.php';
require plugin_dir_path( __FILE__ ) . 'includes/functions.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_vpc_ssa() {

	$plugin = new Vpc_Ssa();
	$plugin->run();

}
run_vpc_ssa();
